Name:		hfsplus-tools
Version:	540.1.linux3
Release:	%mkrel 4
Summary:	Tools to create/check Apple HFS+ filesystems
Group:		System/Base
License:	APSL 2.0
URL:		https://en.gentoo-wiki.com/wiki/HOWTO_hfsplus
Source0:	https://cavan.codon.org.uk/~mjg59/diskdev_cmds/diskdev_cmds-%{version}.tar.gz
Source100:	https://www.opensource.org/licenses/apsl-2.0.txt
Patch0:		hfsplus-tools-no-blocks.patch
Patch1:		hfsplus-tools-learn-to-stdarg.patch
Patch2:		hfsplus-tools-sysctl.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(uuid)
# those tools are outdated, given the rebuilt mkfs/fsck.hfsplus in this
# package.  However, I don't want to Obsolete that package yet, as some people
# may have a valid use for it on their systems.
Conflicts: hfsplusutils

# we want this to end up with the other mkfs.*'s, in /sbin
%define _exec_prefix /

%description
HFS+, HFS Plus, or Mac OS Extended are names for a file system developed by
Apple Computer to replace their Hierarchical File System (HFS). In addition to
being the default file system on modern Apple computers, HFS+ is one of two
formats, FAT being the other, that are supported by the iPod hard-disk based
music player. Unlike FAT, HFS+ supports UNIX style file permissions, which
makes it useful, for serving and sharing files in a secured manner. As Apple
Computer's devices and systems become increasingly ubiquitous, it becomes
important that Linux fully support this format.  This package provides tools
to create and check HFS+ filesystems under Linux.

The Linux kernel does not support writing to HFS+ journals, writing to a
hfsplus partition is recommended only after disabling journaling; however, the
kernel, as of version 2.6.16, supports case-sensitivity (also known as HFSX)
commit.


%prep
%setup -q -n hfsplus-mkfs-%{version} -n diskdev_cmds-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

# remove errant execute bits
find . -type f -name '*.[ch]' -exec chmod -c -x {} +

# make life easier on doc
cp %{SOURCE100} .

%build
export CFLAGS="%{optflags}"
%make_build

%install
# the actual install...
mkdir -p %{buildroot}/%{_sbindir}
cp newfs_hfs.tproj/newfs_hfs %{buildroot}/%{_sbindir}/mkfs.hfsplus
cp fsck_hfs.tproj/fsck_hfs %{buildroot}/%{_sbindir}/fsck.hfsplus

# man pages -- a mildly non-invasive name change is in order
mkdir -p %{buildroot}/%{_mandir}/man8
cat fsck_hfs.tproj/fsck_hfs.8 | sed -e 's/[F|f]sck_hfs/fsck.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/fsck.hfsplus.8
cat newfs_hfs.tproj/newfs_hfs.8 | sed -e 's/[N|n]ewfs_hfs/mkfs.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/mkfs.hfsplus.8

# and a utility symlink...
cd %{buildroot}/%{_sbindir}
ln -s mkfs.hfsplus mkfs.hfs
ln -s fsck.hfsplus fsck.hfs
cd %{buildroot}/%{_mandir}/man8
ln -s fsck.hfsplus.8 fsck.hfs.8
ln -s mkfs.hfsplus.8 mkfs.hfs.8

%files
%license apsl-2.0.txt
%{_sbindir}/mkfs.hfsplus
%{_sbindir}/mkfs.hfs
%{_sbindir}/fsck.hfsplus
%{_sbindir}/fsck.hfs
%{_mandir}/man8/mkfs.hfsplus.8*
%{_mandir}/man8/mkfs.hfs.8*
%{_mandir}/man8/fsck.hfsplus.8*
%{_mandir}/man8/fsck.hfs.8*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 540.1.linux3-4.mga10
+ Revision: 2127610
- Rebuild for patchN deprecation

* Sat Mar 19 2022 tv <tv> 540.1.linux3-3.mga9
+ Revision: 1800148
- BR  pkgconfig(uuid)
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Tue Nov 24 2020 ghibo <ghibo> 540.1.linux3-1.mga8
+ Revision: 1649000
- Update to release 540.1.linux3.
- Sync with FC.

* Thu Feb 13 2020 umeabot <umeabot> 332.14-12.mga8
+ Revision: 1513490
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 332.14-11.mga7
+ Revision: 1298189
- Mageia 7 Mass Rebuild

* Tue Sep 05 2017 cjw <cjw> 332.14-10.mga7
+ Revision: 1151526
- rebuild for openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 332.14-9.mga6
+ Revision: 983462
- Rebuild for openssl

* Tue Feb 02 2016 umeabot <umeabot> 332.14-8.mga6
+ Revision: 931099
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 332.14-7.mga5
+ Revision: 747877
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 tmb <tmb> 332.14-6.mga5
+ Revision: 697464
- rebuild for broken rpms

* Tue Sep 16 2014 umeabot <umeabot> 332.14-5.mga5
+ Revision: 680119
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 332.14-4.mga4
+ Revision: 505459
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 332.14-3.mga3
+ Revision: 353183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 kharec <kharec> 332.14-2.mga2
+ Revision: 170672
- fix url

* Mon Mar 21 2011 saispo <saispo> 332.14-1.mga1
+ Revision: 75167
- Fix man
- imported package hfsplus-tools

